clan::ColorHSVx< Type, ColorType > Class Template Reference - ClanLib SDK
Description: clan::ColorHSVx< Type, ColorType > Class Template Reference

Public Member Functions | Public Attributes | List of all members
clan::ColorHSVx< Type, ColorType > Class Template Reference
clanDisplay 2D

Color HSV description class. More...

`#include <color_hsv.h>`

## Public Member Functions
| ColorHSVx ()
| Constructs a color.
| ColorHSVx (const Color &color)
| ColorHSVx (const Colorf &color)
| ColorHSVx (const ColorHSVx< Type, ColorType > &copy)
| ColorHSVx (Type h, Type s, Type v, Type a)
| operator ColorType ()
bool | operator!= (const ColorHSVx< Type, ColorType > &color) const
| != operator.
ColorHSVx< Type, ColorType > & | operator= (const ColorHSVx< Type, ColorType > &copy)
| = operator.
bool | operator== (const ColorHSVx< Type, ColorType > &color) const
| == operator.

## Public Attributes
Type | a
Type | h
Type | s
Type | v

## Detailed Description

template<typename Type, typename ColorType>
class clan::ColorHSVx< Type, ColorType >

Color HSV description class.

These templates are defined for: int (ColorHSVi), float (ColorHSVf), double (ColorHSVd)

## Constructor & Destructor Documentation

## ◆ ColorHSVx() [1/5]

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::ColorHSVx | ( |  | ) |
| inline

Constructs a color.

## ◆ ColorHSVx() [2/5]

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::ColorHSVx | ( | Type | h,
|  | Type | s,
|  | Type | v,
|  | Type | a )
| inline

## ◆ ColorHSVx() [3/5]

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::ColorHSVx | ( | const ColorHSVx< Type, ColorType > & | copy | ) |
| inline

References clan::ColorHSVx< Type, ColorType >::a, clan::ColorHSVx< Type, ColorType >::h, clan::ColorHSVx< Type, ColorType >::s, and clan::ColorHSVx< Type, ColorType >::v.

## ◆ ColorHSVx() [4/5]

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::ColorHSVx | ( | const Color & | color | ) |

## ◆ ColorHSVx() [5/5]

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::ColorHSVx | ( | const Colorf & | color | ) |

## Member Function Documentation

## ◆ operator ColorType()

template<typename Type , typename ColorType >

clan::ColorHSVx< Type, ColorType >::operator ColorType | ( |  | ) |

## ◆ operator!=()

template<typename Type , typename ColorType >

bool clan::ColorHSVx< Type, ColorType >::operator!= | ( | const ColorHSVx< Type, ColorType > & | color | ) | const
| inline

!= operator.

References clan::ColorHSVx< Type, ColorType >::a, clan::color, clan::ColorHSVx< Type, ColorType >::h, clan::ColorHSVx< Type, ColorType >::s, and clan::ColorHSVx< Type, ColorType >::v.

## ◆ operator=()

template<typename Type , typename ColorType >

ColorHSVx< Type, ColorType > & clan::ColorHSVx< Type, ColorType >::operator= | ( | const ColorHSVx< Type, ColorType > & | copy | ) |
| inline

= operator.

References clan::ColorHSVx< Type, ColorType >::a, clan::ColorHSVx< Type, ColorType >::h, clan::ColorHSVx< Type, ColorType >::s, and clan::ColorHSVx< Type, ColorType >::v.

## ◆ operator==()

template<typename Type , typename ColorType >

bool clan::ColorHSVx< Type, ColorType >::operator== | ( | const ColorHSVx< Type, ColorType > & | color | ) | const
| inline

== operator.

References clan::ColorHSVx< Type, ColorType >::a, clan::color, clan::ColorHSVx< Type, ColorType >::h, clan::ColorHSVx< Type, ColorType >::s, and clan::ColorHSVx< Type, ColorType >::v.

## Member Data Documentation

## ◆ a

template<typename Type , typename ColorType >

Type clan::ColorHSVx< Type, ColorType >::a

Referenced by clan::ColorHSVx< Type, ColorType >::ColorHSVx(), clan::ColorHSVx< Type, ColorType >::operator!=(), clan::ColorHSVx< Type, ColorType >::operator=(), and clan::ColorHSVx< Type, ColorType >::operator==().

## ◆ h

template<typename Type , typename ColorType >

Type clan::ColorHSVx< Type, ColorType >::h

Referenced by clan::ColorHSVx< Type, ColorType >::ColorHSVx(), clan::ColorHSVx< Type, ColorType >::operator!=(), clan::ColorHSVx< Type, ColorType >::operator=(), and clan::ColorHSVx< Type, ColorType >::operator==().

## ◆ s

template<typename Type , typename ColorType >

Type clan::ColorHSVx< Type, ColorType >::s

Referenced by clan::ColorHSVx< Type, ColorType >::ColorHSVx(), clan::ColorHSVx< Type, ColorType >::operator!=(), clan::ColorHSVx< Type, ColorType >::operator=(), and clan::ColorHSVx< Type, ColorType >::operator==().

## ◆ v

template<typename Type , typename ColorType >

Type clan::ColorHSVx< Type, ColorType >::v

Referenced by clan::ColorHSVx< Type, ColorType >::ColorHSVx(), clan::ColorHSVx< Type, ColorType >::operator!=(), clan::ColorHSVx< Type, ColorType >::operator=(), and clan::ColorHSVx< Type, ColorType >::operator==().

The documentation for this class was generated from the following file:

- color_hsv.h